# Class WindowFooterDirective

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:20

#####
Index

### Constructors

constructor

### Methods

ngOnInit
ngTemplateContextGuard

##
Constructors

### constructor

- new WindowFooterDirective(
  windowRef: WindowRef,
  template: TemplateRef<WindowFooterTemplateContext>,
  viewContainerRef: ViewContainerRef,
  ): WindowFooterDirective

  #### Parameters

  - windowRef: WindowRef
  - template: TemplateRef<WindowFooterTemplateContext>
  - viewContainerRef: ViewContainerRef

  #### Returns WindowFooterDirective

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:22

##
Methods

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:43

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(
  dir: WindowFooterDirective,
  ctx: any,
  ): ctx is WindowFooterTemplateContext

  Asserts the correct type of the context for the template that `NgForOf` will render.

  The presence of this method is a signal to the Ivy template type-check compiler that the `NgForOf` structural directive renders its template with a specific context type.

  #### Parameters

  - dir: WindowFooterDirective
  - ctx: any

  #### Returns ctx is WindowFooterTemplateContext

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:38